# std::bit_not<void>

From cppreference.com
< cpp‎ | utility‎ | functional

Defined in header `<functional>` |  |
template<> class bit_not<void>; |  | (since C++14)

std::bit_not <void> is a specialization of std::bit_not with parameter and return type deduced.

### Nested types

Nested type | Definition
`is_transparent` | unspecified

### Member functions

operator() | applies `operator~` to its argument (public member function)

## std::bit_not<void>::operator()

template< class T > constexpr auto operator()( T&& arg ) const -> decltype(~std::forward <T>(arg)); |  |

Returns the result of ~std::forward <T>(arg).

### Parameters

arg | - | value to bitwise NOT

### Return value

~std::forward <T>(arg).

### Example

| This section is incomplete Reason: no example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/utility/functional/bit_not_void&oldid=167621"